Bug 1670416 (CVE-2018-20177) - CVE-2018-20177 rdesktop: Memory corruption in rdp_in_unistr
Summary: CVE-2018-20177 rdesktop: Memory corruption in rdp_in_unistr
Status: CLOSED WONTFIX
Alias: CVE-2018-20177
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190104,repor...
Keywords: Security
Depends On: 1670427
Blocks: 1667054
TreeView+ depends on / blocked
 
Reported: 2019-01-29 13:55 UTC by Pedro Sampaio
Modified: 2019-06-08 23:50 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-19 04:19:29 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-01-29 13:55:07 UTC
A flaw was found in rdesktop before 1.8.4. A memory corruption issue in rdp_in_unistr function may lead to denial of service.

Upstream patch:

https://github.com/rdesktop/rdesktop/commit/766ebcf6f23ccfe8323ac10242ae6e127d4505d2
https://github.com/rdesktop/rdesktop/releases/tag/v1.8.4

Comment 1 Pedro Sampaio 2019-01-29 14:03:29 UTC
Created rdesktop tracking bugs for this issue:

Affects: fedora-all [bug 1670427]

Comment 2 Huzaifa S. Sidhpurwala 2019-02-19 04:19:29 UTC
Note:

You need to connect to a malicious or a MITM RDP server in order to trigger this flaw.


Note You need to log in before you can comment on or make changes to this bug.